Index: doc/src/sgml/catalogs.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/catalogs.sgml,v
retrieving revision 2.63
diff -c -r2.63 catalogs.sgml
*** doc/src/sgml/catalogs.sgml	14 Oct 2002 04:29:23 -0000	2.63
--- doc/src/sgml/catalogs.sgml	2 Dec 2002 08:32:25 -0000
***************
*** 1068,1076 ****
        <entry>relhasindex</entry>
        <entry><type>bool</type></entry>
        <entry></entry>
!       <entry>True if this is a table and it has (or recently had) any indexes.
!        This is set by CREATE INDEX, but not cleared immediately by DROP INDEX.
!        VACUUM clears relhasindex if it finds the table has no indexes.
        </entry>
       </row>
  
--- 1068,1079 ----
        <entry>relhasindex</entry>
        <entry><type>bool</type></entry>
        <entry></entry>
!       <entry>
!        True if this is a table and it has (or recently had) any
!        indexes. This is set by <command>CREATE INDEX</command>, but
!        not cleared immediately by <command>DROP INDEX</command>.
!        <command>VACUUM</command> clears relhasindex if it finds the
!        table has no indexes.
        </entry>
       </row>
  
***************
*** 2049,2059 ****
        <entry><type>bool</type></entry>
        <entry></entry>
        <entry>
!        This is false for internal languages (such as SQL) and true for
!        user-defined languages.  Currently,
!        <application>pg_dump</application> still uses this to determine
!        which languages need to be dumped, but this may be replaced by
!        a different mechanism sometime.
        </entry>
       </row>
  
--- 2052,2062 ----
        <entry><type>bool</type></entry>
        <entry></entry>
        <entry>
!        This is false for internal languages (such as
!        <acronym>SQL</acronym>) and true for user-defined languages.
!        Currently, <application>pg_dump</application> still uses this
!        to determine which languages need to be dumped, but this may be
!        replaced by a different mechanism sometime.
        </entry>
       </row>
  
Index: doc/src/sgml/ref/create_trigger.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/create_trigger.sgml,v
retrieving revision 1.30
diff -c -r1.30 create_trigger.sgml
*** doc/src/sgml/ref/create_trigger.sgml	23 Nov 2002 03:59:06 -0000	1.30
--- doc/src/sgml/ref/create_trigger.sgml	2 Dec 2002 07:00:30 -0000
***************
*** 21,29 ****
     <date>2000-03-25</date>
    </refsynopsisdivinfo>
    <synopsis>
! CREATE TRIGGER <replaceable class="PARAMETER">name</replaceable> {
!     BEFORE | AFTER } { <replaceable class="PARAMETER">event</replaceable> [ OR ... ] }
!     ON <replaceable class="PARAMETER">table</replaceable> [ FOR EACH { ROW | STATEMENT } ]
      EXECUTE PROCEDURE <replaceable class="PARAMETER">func</replaceable> ( <replaceable class="PARAMETER">arguments</replaceable> )
    </synopsis>
    
--- 21,28 ----
     <date>2000-03-25</date>
    </refsynopsisdivinfo>
    <synopsis>
! CREATE TRIGGER <replaceable class="PARAMETER">name</replaceable> { BEFORE | AFTER } { <replaceable class="PARAMETER">event</replaceable> [ OR ... ] }
!     ON <replaceable class="PARAMETER">table</replaceable> [ FOR [ EACH ] { ROW | STATEMENT } ]
      EXECUTE PROCEDURE <replaceable class="PARAMETER">func</replaceable> ( <replaceable class="PARAMETER">arguments</replaceable> )
    </synopsis>
    
***************
*** 186,192 ****
     deleted tuple. In contrast, a trigger that executes <literal>FOR
     EACH STATEMENT</literal> of the specified operation only executes
     once for any given operation, regardless of how many rows it
!    modifies.
    </para>
  
    <para>
--- 185,193 ----
     deleted tuple. In contrast, a trigger that executes <literal>FOR
     EACH STATEMENT</literal> of the specified operation only executes
     once for any given operation, regardless of how many rows it
!    modifies (in particular, an operation that modifies zero rows will
!    still result in the execution of any applicable <literal>FOR EACH
!    STATEMENT</literal> triggers).
    </para>
  
    <para>
***************
*** 329,334 ****
--- 330,341 ----
        SQL99 specifies that multiple triggers should be fired in
        time-of-creation order.  <productname>PostgreSQL</productname>
        uses name order, which was judged more convenient to work with.
+      </para>
+ 
+      <para>
+       The ability to specify multiple actions for a single trigger
+       using <literal>OR</literal> is a <productname>PostgreSQL</>
+       extension of the SQL standard.
       </para>
      </listitem>
     </varlistentry>
